import MedlyLogoName from './assets/MedlyLogo.svg';
import MedlyLogo from './assets/MLogo.svg';
import { Container } from './Logo.styled';
import { LogoProps } from './types';
import type { FC } from 'react';

const Logo: FC<LogoProps> = ({ showName, logo, name, onClick }) => (
    <Container onClick={onClick}>
        {logo}
        {showName && name}
    </Container>
);

Logo.defaultProps = {
    showName: true,
    logo: <MedlyLogo />,
    name: <MedlyLogoName />
};

export default Logo;
